Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.manager.communities
Class CommunityAccessRedirectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.netuix.application.exception.NetuixException
                  com.bea.netuix.application.exception.RedirectionException
                      com.bea.netuix.servlets.manager.communities.CommunityAccessRedirectionException

All Implemented Interfaces
  Serializable

    public class CommunityAccessRedirectionException

extends RedirectionException

This exception is thrown when the CommunityContext needs to affect a redirection, such as when the registration page must be used or when the community / member / membership is deactivated.

The overview of community functionality contains a description of the community framework.

See Also
  Serialized Form

Constructor Summary
`CommunityAccessRedirectionException(String s, String redirectUri, int type)` Constructs a `CommunityAccessRedirectionException` with the specified detail message.

Method Summary
`int` | `getType()` Retrieves the type code

Methods inherited from class com.bea.netuix.application.exception.RedirectionException
`getRedirectUri, setRedirectUri`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommunityAccessRedirectionException

    public CommunityAccessRedirectionException(String s,
                                               String redirectUri,
                                               int type)

  Constructs a `CommunityAccessRedirectionException` with the specified detail message.

  Parameters
    `s` - The detail message
    `redirectUri` - the URI to redirect to. This can be null if the framework should take a default redirection action.
    `type` - one of the `CommunityRedirectionHelper`.REDIRECTION_TYPE_ constants indicating the sub-type of this `CommunityAccessRedirectionException`

Method Detail

### getType

    public int getType()

  Retrieves the type code

  Returns
    The type code (one of the `CommunityRedirectionHelper`.REDIRECTION_TYPE_ constants) for this `CommunityAccessRedirectionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.